package com.steerinfo.baseinfo.meterbasepluginunit.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class MeterBasePluginUnit implements IBasePO<String> {
    /**
     * 插件编号(PLUGIN_UNIT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="插件编号",required=true)
    private String pluginUnitNo;

    /**
     * 插件名称(PLUGIN_UNIT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="插件名称",required=true)
    private String pluginUnitName;

    /**
     * 插件版本(PLUGIN_UNIT_EDITION,DECIMAL,10)
     */
    @ApiModelProperty(value="插件版本",required=true)
    private Float pluginUnitEdition;

    /**
     * 插件归属(PLUGIN_UNIT_BELONG,VARCHAR,200)
     */
    @ApiModelProperty(value="插件归属",required=true)
    private String pluginUnitBelong;

    /**
     * 使用条件(PLUGIN_UNIT_USE,VARCHAR,400)
     */
    @ApiModelProperty(value="使用条件",required=true)
    private String pluginUnitUse;

    /**
     * 插件作用(PLUGIN_UNIT_EFFECT,VARCHAR,400)
     */
    @ApiModelProperty(value="插件作用",required=true)
    private String pluginUnitEffect;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.pluginUnitNo;
    }

    @Override
    public void setId(String pluginUnitNo) {
        this.pluginUnitNo = pluginUnitNo == null ? null : pluginUnitNo.trim();
    }

    public String getPluginUnitNo() {
        return pluginUnitNo;
    }

    public void setPluginUnitNo(String pluginUnitNo) {
        this.pluginUnitNo = pluginUnitNo == null ? null : pluginUnitNo.trim();
    }

    public String getPluginUnitName() {
        return pluginUnitName;
    }

    public void setPluginUnitName(String pluginUnitName) {
        this.pluginUnitName = pluginUnitName == null ? null : pluginUnitName.trim();
    }

    public Float getPluginUnitEdition() {
        return pluginUnitEdition;
    }

    public void setPluginUnitEdition(Float pluginUnitEdition) {
        this.pluginUnitEdition = pluginUnitEdition;
    }

    public String getPluginUnitBelong() {
        return pluginUnitBelong;
    }

    public void setPluginUnitBelong(String pluginUnitBelong) {
        this.pluginUnitBelong = pluginUnitBelong == null ? null : pluginUnitBelong.trim();
    }

    public String getPluginUnitUse() {
        return pluginUnitUse;
    }

    public void setPluginUnitUse(String pluginUnitUse) {
        this.pluginUnitUse = pluginUnitUse == null ? null : pluginUnitUse.trim();
    }

    public String getPluginUnitEffect() {
        return pluginUnitEffect;
    }

    public void setPluginUnitEffect(String pluginUnitEffect) {
        this.pluginUnitEffect = pluginUnitEffect == null ? null : pluginUnitEffect.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pluginUnitNo=").append(pluginUnitNo);
        sb.append(", pluginUnitName=").append(pluginUnitName);
        sb.append(", pluginUnitEdition=").append(pluginUnitEdition);
        sb.append(", pluginUnitBelong=").append(pluginUnitBelong);
        sb.append(", pluginUnitUse=").append(pluginUnitUse);
        sb.append(", pluginUnitEffect=").append(pluginUnitEffect);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}